Subject: Re: linux-next: net/kbuild trees build failure

From: Sam Ravnborg <[email-masked]>
Date: Tue, 8 Dec 2009 06:38:19 +0100

On Mon, Dec 07, 2009 at 05:28:53PM -0500, John W. Linville wrote:
> On Mon, Dec 07, 2009 at 10:42:09PM +0100, Michal Marek wrote:
> > reinette chatre napsal(a):
> 
> > > Right - could we please use the solution that works at compile time? I
> > > used UTS_RELEASE after learning about its use in init/version.c, would
> > > that not make it an approved solution?
> > 
> > It seems there is some misunderstanding.
> 
> Alright, if Stephen's fix is acceptable then your suggestion is fine.
> Sam seemed to suggest that Stephen's fix was a stop-gap.

The need to use utsrelease seems very prominent in external drivers.
But a quick grep turned up only a single staging driver in-tree that
include utsrelease.
So whatever problem this driver solves using utsrelease it is not shared
with the rest of the in-tree drivers.

So no - it is not a stop-gap. It is more a "is it really needed?".

	Sam